#include <time.h>

#define EMPTY 0
#define SET 1
#define MINE 9

#define LOOSE 1
#define WIN 2

#define XMAX 100
#define YMAX 100

/* default values */
#define XMAXDEF 10
#define YMAXDEF 10
#define MAXMINESDEF 10

#define CURSORX 5
#define CURSORY 5


time_t start_time;

char mine_field[XMAX][YMAX];
char mine_field_player[XMAX][YMAX];

int mine_field_xmax;
int mine_field_ymax;
int mine_field_mines;

int mine_field_cursor_x;
int mine_field_cursor_y;

int marks_true;
int marks_false;

extern void parseopts(int argc, char **argv);
extern void initmf();
extern void displaymf();
extern void mine_field_show(int x, int y);
extern void mine_field_cursor(int x, int y, char draw);
extern char mine_field_pic(int x, int y);
extern void mine_field_clean();
extern void mine_field_mark(int x, int y);
extern void mine_field_display_mark(int x, int y, char draw);
