#include "mini-mine.h"

void 
parseopts(int argc, char **argv)
{
  int mine_field_percent = MAXMINESDEF;
  int i;
  if (argc > 1)
    for (i=1; i<argc; i++)
      {
	if ((argv[i][0] == '-') && (strlen(argv[i]) == 2))
	  switch (argv[i][1])
	    {

	    case 'w':
	      if (++i<argc)
		mine_field_xmax = atoi(argv[i]);
	      break;
	    case 'h':
	      if (++i<argc)
		mine_field_ymax = atoi(argv[i]);
	      break;
	    case 'm':
	      if (++i<argc)
		mine_field_percent = atoi(argv[i]);
	      break;
	    }
      }

  printf("percent: %i\n", mine_field_percent);
  printf("fieldsum: %i\n", mine_field_xmax*mine_field_ymax);
  printf("multiplicator: %f\n", (double)mine_field_percent / 100.0);

  mine_field_mines = (int) ((mine_field_xmax*mine_field_ymax) 
			    * ((double)mine_field_percent / 100.0));

  printf("Mines: %i\n", mine_field_mines);
}
